#ifndef CMINIMAP_H
#define CMINIMAP_H


#include <QObject>
#include <QColor>


class QGraphicsView;
class QGraphicsScene;
class QGraphicsRectItem;
class QGraphicsPixmapItem;
class QImage;
class QRectF;


class CMiniMap : public QObject
{
    Q_OBJECT

    QGraphicsView  *GraphicsView;
    QGraphicsScene *GraphicsScene;
    QGraphicsRectItem *ViewPortRect;
    QGraphicsPixmapItem *CurrentPixmap;

    QColor ViewPortColor;

public:
    explicit CMiniMap(QObject *parent = 0);
    QGraphicsView  *view() const {return GraphicsView;}

    void setViewPortColor(const QColor &color);
    void setImage(const QImage &image);
    void updateImage(const QImage &image);
    
signals:
    
public slots:
    //void setScale(qreal scale);
    void setVisibleRect(const QRectF &rect);
};

#endif // CMINIMAP_H
